Bug 530175 (CVE-2009-3882, CVE-2009-3883) - CVE-2009-3882 CVE-2009-3883 OpenJDK information leaks in mutable variables (6657026,6657138)
Summary: CVE-2009-3882 CVE-2009-3883 OpenJDK information leaks in mutable variables (6...
Status: CLOSED ERRATA
Alias: CVE-2009-3882, CVE-2009-3883
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=sun,public=20091103...
Keywords: Security
Depends On: 530367 530368 532004 532005 534067 534068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 19:21 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:51 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-21 22:47:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC

Comment 5 Mark J. Cox 2009-11-03 23:09:11 UTC
6657026  CVE-2009-3882 Numerous static security flaws in Swing (findbugs)
6657138  CVE-2009-3883 Mutable statics in Windows PL&F (findbugs)

These fixes from Sun's are adding defensive coding modifications
protections to the sources (hardening).

Comment 6 errata-xmlrpc 2009-11-09 15:04:48 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 8 errata-xmlrpc 2009-11-10 19:30:32 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 9 Fedora Update System 2009-11-13 08:46:00 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 10 Fedora Update System 2009-11-13 08:49:54 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 11 Fedora Update System 2009-11-13 16:35:04 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 12 Fedora Update System 2009-11-14 03:30:00 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-14 03:31:53 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-14 03:33:06 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2009-11-16 15:45:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 16 errata-xmlrpc 2009-12-11 13:44:04 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html


Note You need to log in before you can comment on or make changes to this bug.